Validate an Apple Pay merchant session
Validates the Apple Pay merchant session. Call this from your backend when the browser fires onvalidatemerchant: forward Apple's validation_url and your domain, and Mercuryo returns the merchant session (nested under data.data) to pass back to the browser.
Body
required
application/json
- Type: stringdomainrequired
Domain initiating Apple Pay
- Type: stringvalidation
_url requiredApple validationURL from the onvalidatemerchant event
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/sdk-partner/alternative-mobile-pay/validate-merchant
curl https://pay-in-api.mrcr.io/sdk-partner/alternative-mobile-pay/validate-merchant \
--request POST \
--header 'Content-Type: application/json' \
--header 'Sdk-Partner-Token: YOUR_SECRET_TOKEN' \
--header 'X-Signature: YOUR_SECRET_TOKEN' \
--data '{
"validation_url": "https://apple-pay-gateway.apple.com/paymentservices/startSession",
"domain": "shop.example.com"
}'
{
"status": 200,
"data": {
"data": {
"epochTimestamp": 1783513967000,
"merchantSessionIdentifier": "SSH2A0…",
"displayName": "Merchant",
"signature": "…"
}
}
}